Description

When labelling polygons, using 'around centroid' the label placement uses the bottom left of the label instead of the true center of the
label for its origin. This results in poor labelling (see attached screenshot) performance as many labels appear offset to the right instead
of properly centered over their polygon. IMHO polygon labels should default to using the center of the label (in x and y directions)
coinciding to the center of the polygon in order to get decent default placement in the majority of cases.

| attach a small test dataset that illustrates the issue (perhaps less dramatically than it might).

See also #9480

History

#1 - 2014-02-04 12:21 AM - Martin Dobias

There is also "offset from centroid" option which does what you would expect - the labels are then positioned so that the centroid is in the center of the
label. It would be probably better to have this option as default (the "around" option is more suited for points).

#2 - 2014-02-04 05:00 AM - Tim Sutton
- Status changed from Open to Closed

@martin Ah yes that gives me better output thanks!

#3 - 2014-02-04 07:40 AM - Etienne Tourigny

| also find the wording confusing, | would expect "around centroid" place it right on the centroid, which "offset from centroid" does. Offset implies a

displacement (x,y) from centroid. Also in favor of having "offset from centroid" as default, perhaps with another name...

#4 - 2014-02-04 10:47 AM - Larry Shaffer

+1 for making Offset from Centroid the default. That just makes sense for polygons, pessible-even-ferpeints. This will change many existing project where
users are expecting to see the previous results, but | guess that's always the case when changing a default.

How about On/At Centroid instead of Offset from? Of those two, | think On Centroid more accurately describes that the label is registered over the
centroid.

2025-04-27 12




Files

Screenshot_2014-02-03_21.55.20.png 51.6 KB 2014-02-03 Tim Sutton
issue-9481.zip 33.7KB 2014-02-03 Tim Sutton

2025-04-27 22



